Quijost

Por favor ingresa o regístrate.

Ingresar con nombre de usuario, contraseña y duración de la sesión
Búsqueda Avanzada  

Noticias:

Deja tu post en el foro para hacer algun tipo de consulta

Autor Tema: Ruby on rails  (Leído 3929 veces)

0 Usuarios y 1 Visitante están viendo este tema.

crojasla

  • Usuario nuevo
  • *
  • Karma: +0/-0
  • Desconectado Desconectado
  • Mensajes: 1
    • Ver Perfil
Ruby on rails
« en: Febrero 06, 2012, 19:42:40 pm »

Estimados,

Estoy usando el plan free 1 mes para evaluar si el hosting puede alojar mis aplicaciones ruby on rails, el tema es que al revisar el hosting tiene rails 3 instalado, y necesito una version anterior la "2.3.14" quiero instalar esta gema desde cpanel pero queda pegado en el item de "rubygems" no instala nada, por lo que intente conectarme por ssh para ver si podia instalar gemas pero me dice que tengo deshabilitado el shell para mi cuenta.

¿Como lo hago para instalar gemas y subir mis aplicaciones ya desarrolladas en rails 2.3.14?

pd: al intentar crear una aplicacion ruby on rails con cpanel me sale lo siguiente "No supported version of rails found." y aún no instalado ninguna gema




Saludos
« última modificación: Febrero 06, 2012, 20:49:42 pm por crojasla »
En línea

shakaran

  • Soporte
  • Administrator
  • Usuario profesional
  • *****
  • Karma: +12/-0
  • Desconectado Desconectado
  • Sexo: Masculino
  • Mensajes: 487
  • Un buen soporte lo es todo
    • Ver Perfil
    • Shakaran
Re:Ruby on rails
« Respuesta #1 en: Febrero 06, 2012, 21:39:51 pm »

Hola y bienvenido crojasla,

La opción de ssh sólo esta habilitada para planes ebasic y superiores (no para efree), puedes consultar lo que incluye cada plan en http://quijost.com/shared-hosting/

La versión de Ruby instalada en todos los servidores compartidos es 1.9.3p0 y de Rails 3.1.3 (las más actuales y estables). En un servidor compartido, todos los usuarios comparten las mismas versiones instaladas de PHP, Python, Ruby, Rails, etc. Si quieres un alojamiento privado y más personalizado, te recomendamos contratar un servidor VPS (Servidor Privado Virtual) http://quijost.com/vps/ aunque esta opción es algo más cara, pero se ajusta a las necesidades específicas de cada cliente, ya que tu mismo puedes instalar y configurar a tu gusto el software.

Las gemas no son instalables desde cpanel, ni los propios usuarios de hosting compartido tienen suficientes privilegios para instalarlas, ya que sino cualquier usuario podría sobreescribir las versiones de otros. Previa solicitud al soporte, nosotros podemos instalarte la gema que necesites en un compartido sin problema(al igual que algún módulo o biblioteca de Python), siempre y cuando no entre en conflicto con otras versiones o aplicaciones previas que estén usando otros clientes.
En línea
Ángel Guzmán Maeso
Quijost Founder - Backend Engineer & Main support
 

Página generada en 0.054 segundos con 32 consultas.